NisoImageMetadata (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class NisoImageMetadata

    java.lang.Object
      edu.harvard.hul.ois.jhove.NisoImageMetadata

    public class NisoImageMetadata

extends java.lang.Object

Encapsulation of the NISO Z39.87-2002 / AIIM 20-2002 Data Dictionary -- Technical Metadata for Digital Still Images

Field Summary
`static java.lang.String[]` | `AUTOFOCUS` 7.7.3.15 auto focus value labels.
`static java.lang.String[]` | `BACKLIGHT` 7.7.3.13 back light value labels.
`static java.lang.String[]` | `BYTEORDER` 6.1.2 byte order value labels.
`static java.lang.String[]` | `CHECKSUM_METHOD` 6.2.3.1 Checksum method value labels.
`static java.lang.String[]` | `COLORSPACE` 6.1.4.1 Color space value labels.
`static int[]` | `COLORSPACE_INDEX` Index for 6.1.4.1 color space value labels.
`static java.lang.String[]` | `COMPRESSION_SCHEME` 6.1.3.1 Compression scheme value labels.
`static int[]` | `COMPRESSION_SCHEME_INDEX` Index for 6.1.3.1 compression scheme value labels.
`static java.lang.String[]` | `DISPLAY_ORIENTATION` 6.2.5 display orientation value labels.
`static java.lang.String[]` | `EXTRA_SAMPLE_20` extra sample value for version 2.0 of MIX, corresponding to NISO values of 0-3
`static java.lang.String[]` | `EXTRA_SAMPLES`
`static java.lang.String[]` | `FLASH` 7.7.3.10 flash value labels.
`static java.lang.String[]` | `FLASH_RETURN` 7.7.3.12 flash return value labels.
`static java.lang.String[]` | `GRAY_RESPONSE_UNIT_02` 8.2.6 gray response unit value labels for version 0.2.
`static java.lang.String[]` | `GRAY_RESPONSE_UNIT_20` Gray response unit value for version 2.0 of MIX, corresponding to NISO values of 1-5
`static java.lang.String[]` | `METERING_MODE` 7.7.3.6 metering mode value labels.
`static double` | `NILL`
`static int` | `NULL` Undefined value.
`static java.lang.String[]` | `ORIENTATION` 6.2.4 orientation value labels.
`static java.lang.String[]` | `PLANAR_CONFIGURATION` 6.1.6 planar configuration value labels.
`static java.lang.String[]` | `SAMPLING_FREQUENCY_PLANE` 8.1.1 sampling frequency plane value labels.
`static java.lang.String[]` | `SAMPLING_FREQUENCY_UNIT` 8.1.2 sampling frequency unit value labels.
`static java.lang.String[]` | `SCENE_ILLUMINANT` 7.7.3.7 scene illuminant value labels.
`static int[]` | `SCENE_ILLUMINANT_INDEX` Index for 7.7.3.7 scene illuminant value labels.
`static java.lang.String[]` | `SEGMENT_TYPE` 6.1.5.1 segment type value labels.
`static java.lang.String[]` | `SENSOR` 7.8 sensor value labels.
`static java.lang.String[]` | `SOURCE_DIMENSION_UNIT` 8.1.7.1 (8.1.8.1) source dimension unit.
`static java.lang.String[]` | `TARGET_TYPE` 8.3.1 TargetType.
`static java.lang.String[]` | `YCBCR_POSITIONING` 6.1.4.4 YCbCr positioning value labels.

Constructor Summary
`NisoImageMetadata()` Instantiate a `NisoImageMetadata` object.

Method Summary
`int` | `getAutoFocus()` Get 7.7.3.15 auto focus.
`int` | `getBackLight()` Get 7.7.3.13 back light.
`int[]` | `getBitsPerSample()` Get 8.2.1 bits per sample.
`double` | `getBrightness()` Get 7.7.3.3 Brightness.
`java.lang.String` | `getByteOrder()` Get 6.1.2 byte order.
`int` | `getChecksumMethod()` Get 6.2.3.1 Checksum method.
`java.lang.String` | `getChecksumValue()` Get 6.2.3.2 Checksum value.
`int[]` | `getColormapBitCodeValue()` Get 8.2.4.2 colormap bit code value.
`int[]` | `getColormapBlueValue()` Get 8.2.4.5 colormap blue value.
`int[]` | `getColormapGreenValue()` Get 8.2.4.4 colormap green value.
`int[]` | `getColormapRedValue()` Get 8.2.4.3 colormap red value.
`java.lang.String` | `getColormapReference()` Get 8.2.4.1 colormap reference.
`int` | `getColorSpace()` Get 6.1.4.1 color space.
`double` | `getColorTemp()` Get 7.7.3.8 color temperature.
`int` | `getCompressionLevel()` Get 6.1.3.2 compression level.
`int` | `getCompressionScheme()` Get 6.1.3.1 compression scheme.
`java.lang.String` | `getDateTimeCreated()` Get 7.9 date/time created.
`java.lang.String` | `getDateTimeProcessed()` Get 9.1.1 DateTimeProcessed
`java.lang.String` | `getDeviceSource()` Get 7.5 device source.
`java.lang.String` | `getDigitalCameraManufacturer()` Get 7.7.1 digital camera manufacturer.
`java.lang.String` | `getDigitalCameraModel()` Get 7.7.2 digital camera model.
`int` | `getDisplayOrientation()` Get 6.2.5 Display orientation.
`double` | `getExposureBias()` Get 7.7.3.4 exposure bias.
`double` | `getExposureIndex()` Get 7.7.3.14 exposure index.
`double` | `getExposureTime()` Get 7.7.3.2 exposure time.
`int[]` | `getExtraSamples()` Get 8.2.3 extra samples.
`long` | `getFileSize()` Get 6.2.2 file size.
`int` | `getFlash()` Get 7.7.3.10 flash.
`double` | `getFlashEnergy()` Get 7.7.3.11 flash energy.
`int` | `getFlashReturn()` Get 7.7.3.12 flash return.
`double` | `getFNumber()` Get 7.7.3.1 F number.
`double` | `getFocalLength()` Get 7.7.3.9 focal length.
`int[]` | `getGrayResponseCurve()` Get 8.2.5 gray response curve.
`int` | `getGrayResponseUnit()` Get 8.2.6 gray response unit.
`java.lang.String` | `getHostComputer()` Get 7.4 host computer.
`java.lang.String` | `getImageData()` Get 8.3.3 ImageData
`java.lang.String` | `getImageIdentifier()` Get 6.2.1 Image identifier.
`java.lang.String` | `getImageIdentifierLocation()` Get 6.2.1.1 Image identifier location.
`long` | `getImageLength()` Get 8.1.6 image length.
`java.lang.String` | `getImageProducer()` Get 7.3 Image producer.
`long` | `getImageWidth()` Get 8.1.5 image width.
`int` | `getMeteringMode()` Get 7.7.3.6 metering mode.
`java.lang.String` | `getMethodology()` Get 7.10 methodology.
`java.lang.String` | `getMimeType()` Get 6.1.1 MIME type.
`int` | `getOrientation()` Get 6.2.4 Orientation.
`java.lang.String` | `getOS()` Get 7.4.1 OS (operating system).
`java.lang.String` | `getOSVersion()` Get 7.4.2 OS version.
`java.lang.String` | `getPerformanceData()` Get 8.3.4 PerformanceData.
`double` | `getPixelSize()` Get 7.6.3.1 pixel size.
`int` | `getPlanarConfiguration()` Get 6.1.6 Planar configuration.
`java.lang.String` | `getPreferredPresentation()` Get 6.3 preferred presentation.
`Rational` | `getPrimaryChromaticitiesBlueX()` Get 8.2.8.5 primary chromaticities blue X.
`Rational` | `getPrimaryChromaticitiesBlueY()` Get 8.2.8.6 primary chromaticities blue Y.
`Rational` | `getPrimaryChromaticitiesGreenX()` Get 8.2.8.3 primary chromaticities green X.
`Rational` | `getPrimaryChromaticitiesGreenY()` Get 8.2.8.4 primary chromaticities green Y.
`Rational` | `getPrimaryChromaticitiesRedX()` Get 8.2.8.1 primary chromaticities red X.
`Rational` | `getPrimaryChromaticitiesRedY()` Get 8.2.8.2 primary chromaticities red Y.
`java.lang.String[]` | `getProcessingActions()` Get 9.1.5 ProcessingActions.
`java.lang.String` | `getProcessingAgency()` Get 9.1.3 ProcessingAgency.
`java.lang.String` | `getProcessingSoftwareName()` Get 9.1.4.1 ProcessingSoftwareName
`java.lang.String` | `getProcessingSoftwareVersion()` Get 9.1.4.2 ProcessingSoftwareVersion
`java.lang.String` | `getProfileName()` Get 6.1.4.2.1 ICC profile name.
`java.lang.String` | `getProfiles()` Get 8.3.5 Profiles
`java.lang.String` | `getProfileURL()` Get 6.1.4.2.2 ICC profile URL.
`Rational[]` | `getReferenceBlackWhite()` Get 6.1.4.6 Reference black and white.
`long` | `getRowsPerStrip()` Get 6.1.5.3 Rows per strip.
`int` | `getSamplesPerPixel()` Get 8.2.2 samples per pixel.
`int` | `getSamplingFrequencyPlane()` Get 8.1.1 sampling frequency plane.
`int` | `getSamplingFrequencyUnit()` Get 8.1.2 sampling frequency unit.
`java.lang.String` | `getScannerManufacturer()` Get 7.6.1.1 scanner manufacturer.
`java.lang.String` | `getScannerModelName()` Get 7.6.1.2.1 scanner model name.
`java.lang.String` | `getScannerModelNumber()` Get 7.6.1.2.2 scanner model number.
`java.lang.String` | `getScannerModelSerialNo()` Get 7.6.1.2.3 scanner model serial number.
`java.lang.String` | `getScanningSoftware()` Get 7.6.2.1 scanning software.
`java.lang.String` | `getScanningSoftwareVersionNo()` Get 7.6.2.2 scanning software version number.
`int` | `getSceneIlluminant()` Get 7.7.3.7 scene illuminant.
`int` | `getSegmentType()` Get 6.1.5.1 segment type.
`int` | `getSensor()` Get 7.8 sensor.
`java.lang.String` | `getSourceData()` Get 9.1.2 SourceData.
`java.lang.String` | `getSourceID()` Get 7.2 source ID.
`java.lang.String` | `getSourceType()` Get 7.1 Source type.
`double` | `getSourceXDimension()`
`int` | `getSourceXDimensionUnit()`
`double` | `getSourceYDimension()`
`int` | `getSourceYDimensionUnit()`
`long[]` | `getStripByteCounts()` Get 6.1.5.4 Strip byte counts.
`long[]` | `getStripOffsets()` Get 6.1.5.2 Strip offsets.
`double[]` | `getSubjectDistance()` Get 7.7.3.5 Subject distance.
`java.lang.String` | `getTargetIDManufacturer()` Get 8.3.2.1 TargetIDManufacturer
`java.lang.String` | `getTargetIDMedia()` Get 8.3.2.3 TargetIDMedia
`java.lang.String` | `getTargetIDName()` Get 8.3.2.2 TargetIDName
`java.lang.String` | `getTargetIDNo()` Get 8.3.2.3 TargetIDNo
`int` | `getTargetType()` Get 8.3.1 Target Type
`long[]` | `getTileByteCounts()` Get 6.1.5.8 Tile byte counts.
`long` | `getTileLength()` Get 6.1.5.6 Tile length.
`long[]` | `getTileOffsets()` Get 6.1.5.7 Tile offsets.
`long` | `getTileWidth()` Get 6.1.5.5 Tile width.
`Property` | `getViewerData()` Get data for Swing GUI viewer.
`Rational` | `getWhitePointXValue()` Get 8.2.7.1 white point X value.
`Rational` | `getWhitePointYValue()` Get 8.2.7.2 white point Y value.
`double` | `getXPhysScanResolution()` Get 7.6.3.2.1 X physcal scanning resolution.
`double` | `getXPrintAspectRatio()` Get 7.7.3.16.1 X print aspect ratio.
`Rational` | `getXSamplingFrequency()` Get 8.1.3 X sampling frequency.
`long` | `getXTargetedDisplayAR()` Get 6.2.6 X targeted display aspect ratio.
`Rational[]` | `getYCbCrCoefficients()` Get 6.1.4.5 YCbCr coefficients.
`int` | `getYCbCrPositioning()` Get 6.1.4.4 YCbCr positioning.
`int[]` | `getYCbCrSubSampling()` Get 6.1.4.3 YCbCr subsampling.
`double` | `getYPhysScanResolution()` Get 7.6.3.2.2 Y physcal scanning resolution.
`double` | `getYPrintAspectRatio()` Get 7.7.3.16.2 Y print aspect ratio.
`Rational` | `getYSamplingFrequency()` Get 8.1.4 Y sampling frequency.
`long` | `getYTargetedDisplayAR()` Get 6.2.7 Y targeted display aspect ratio.
`void` | `setAutoFocus(int focus)` Set 7.7.3.15 auto focus.
`void` | `setBackLight(int light)` Set 7.7.3.13 back light.
`void` | `setBitsPerSample(int[] bits)` Set 8.2.1 bits per sample.
`void` | `setBrightness(double brightness)` Set 7.7.3.3 brightness.
`void` | `setByteOrder(java.lang.String order)` Set 6.1.2 byte order.
`void` | `setColormapBitCodeValue(int[] value)` Set 8.2.4.2 colormap bit code value.
`void` | `setColormapBlueValue(int[] value)` Set 8.2.4.4 colormap blue value.
`void` | `setColormapGreenValue(int[] value)` Set 8.2.4.3 colormap green value.
`void` | `setColormapRedValue(int[] value)` Set 8.2.4.2 colormap red value.
`void` | `setColormapReference(java.lang.String reference)` Set 8.2.4.1 colormap reference.
`void` | `setColorSpace(int space)` Set 6.1.4.1 color space
`void` | `setColorTemp(double temp)` Set 7.7.3.8 color temperature.
`void` | `setCompressionLevel(int level)` Set 6.1.3.2 compression level.
`void` | `setCompressionScheme(int scheme)` Set 6.1.3.1 compression scheme.
`void` | `setDateTimeCreated(java.lang.String date)` Set 7.9 date/time created.
`void` | `setDateTimeProcessed(java.lang.String date)` Set 9.1.1 DateTimeProcessed.
`void` | `setDeviceSource(java.lang.String source)` Set 7.5 Device source.
`void` | `setDigitalCameraManufacturer(java.lang.String manufacturer)` Set 7.7.1 digital camera manufacturer.
`void` | `setDigitalCameraModel(java.lang.String model)` Set 7.7.2 digital camera model.
`void` | `setDisplayOrientation(int orientation)` Set 6.2.5 display orientation.
`void` | `setExposureBias(double bias)` Set 7.2.3.4 exposure bias.
`void` | `setExposureIndex(double index)` Set 7.2.3.14 exposure index.
`void` | `setExposureTime(double time)` Set 7.7.3.2 exposure time.
`void` | `setExtraSamples(int[] extra)` Set 8.2.3 extra samples.
`void` | `setFileSize(long size)` Set 6.2.2 file size.
`void` | `setFlash(int flash)` Set 7.7.3.10 flash.
`void` | `setFlashEnergy(double energy)` Set 7.7.3.11 flash energy.
`void` | `setFlashReturn(int ret)` Set 7.7.3.12 flash return.
`void` | `setFNumber(double f)` Set 7.7.3.1 F number.
`void` | `setFocalLength(double length)` Set 7.7.3.9 focal length (double meters).
`void` | `setGrayResponseCurve(int[] curve)` Set 8.2.5 gray response curve.
`void` | `setGrayResponseUnit(int unit)` Set 8.2.6 gray response unit.
`void` | `setHostComputer(java.lang.String computer)` Set 7.4 host computer.
`void` | `setImageData(java.lang.String imageData)` Set 8.3.3 ImageData.
`void` | `setImageIdentifier(java.lang.String identifier)` Set 6.2.1 Image identifier.
`void` | `setImageIdentifierLocation(java.lang.String location)` Set 6.2.1 Image identifier location.
`void` | `setImageLength(long length)` Set 8.1.6 image length.
`void` | `setImageProducer(java.lang.String producer)` Set 7.3 image producer.
`void` | `setImageWidth(long width)` Set 8.1.5 image width.
`void` | `setMeteringMode(int mode)` Set 7.7.3.6 metering mode.
`void` | `setMethodology(java.lang.String methodology)` Set 7.10 methodology.
`void` | `setMimeType(java.lang.String type)` Set 6.1.1 MIME type.
`void` | `setOrientation(int orientation)` Set 6.2.4 orientation.
`void` | `setOS(java.lang.String os)`
`void` | `setOSVersion(java.lang.String version)` Set 7.4.2 OS version.
`void` | `setPerformanceData(java.lang.String performanceData)` Set 8.3.4 PerformanceData.
`void` | `setPixelSize(double size)` Set 7.6.3.1 pixel size.
`void` | `setPlanarConfiguration(int configuration)` Set 6.1.6 Planar configuration.
`void` | `setPreferredPresentation(java.lang.String presentation)` Set 6.3 preferred presentation.
`void` | `setPrimaryChromaticitiesBlueX(Rational x)` Set 8.2.8.5 primary chromaticities blue X.
`void` | `setPrimaryChromaticitiesBlueY(Rational y)` Set 8.2.8.6 primary chromaticities blue Y.
`void` | `setPrimaryChromaticitiesGreenX(Rational x)` Set 8.2.8.3 primary chromaticities green X.
`void` | `setPrimaryChromaticitiesGreenY(Rational y)` Set 8.2.8.4 primary chromaticities green Y.
`void` | `setPrimaryChromaticitiesRedX(Rational x)` Set 8.2.8.1 primary chromaticities red X.
`void` | `setPrimaryChromaticitiesRedY(Rational y)` Set 8.2.8.2 primary chromaticities red Y.
`void` | `setProcessingActions(java.lang.String[] actions)` Set 9.1.5 ProcessingActions.
`void` | `setProcessingAgency(java.lang.String processingAgency)` Set 9.1.3 ProcessingAgency.
`void` | `setProcessingSoftwareName(java.lang.String name)` Set 9.1.4.1 ProcessingSoftwareName
`void` | `setProcessingSoftwareVersion(java.lang.String version)` Set 9.1.4.2 ProcessingSoftwareVersion
`void` | `setProfileName(java.lang.String name)` Set 6.1.4.1 ICC profile name.
`void` | `setProfiles(java.lang.String profiles)` Set 8.3.5 Profiles.
`void` | `setProfileURL(java.lang.String URL)` Set 6.1.4.2 ICC profile URL.
`void` | `setReferenceBlackWhite(Rational[] reference)` Set 6.1.4.6 reference black and white.
`void` | `setRowsPerStrip(long rows)` Set 6.1.5.3 Rows per strip.
`void` | `setSamplesPerPixel(int samples)` Set 8.2.2 samples per pixel.
`void` | `setSamplingFrequencyPlane(int plane)` Set 8.1.1 sampling frequency plane.
`void` | `setSamplingFrequencyUnit(int unit)` Set 8.1.2 sampling frequency unit.
`void` | `setScannerManufacturer(java.lang.String manufacturer)` Set 7.6.1.1 scanner manufacturer.
`void` | `setScannerModelName(java.lang.String name)` Set 7.6.1.2.1 scanner model name.
`void` | `setScannerModelNumber(java.lang.String number)` Set 7.6.1.2.2 scanner model number.
`void` | `setScannerModelSerialNo(java.lang.String number)` Set 7.6.1.2.3 scanner model serial number.
`void` | `setScanningSoftware(java.lang.String software)` Set 7.6.2.1 scanning software.
`void` | `setScanningSoftwareVersionNo(java.lang.String number)` Set 7.6.2.2 scanning software version number.
`void` | `setSceneIlluminant(int illuminant)` Set 7.7.3.7 scene illuminant.
`void` | `setSensor(int sensor)` Set 7.8 sensor.
`void` | `setSourceData(java.lang.String sourceData)` Set 9.1.2 SourceData.
`void` | `setSourceID(java.lang.String id)` Set 7.2 source ID.
`void` | `setSourceType(java.lang.String type)` Set 7.1 source type.
`void` | `setSourceXDimension(double x)` Set 8.1.7 source X dimension.
`void` | `setSourceXDimensionUnit(int unit)` Set 8.1.7.1 source X dimension unit.
`void` | `setSourceYDimension(double y)` Set 8.1.8 source Y dimension.
`void` | `setSourceYDimensionUnit(int unit)` Set 8.1.8.1 source Y dimension unit.
`void` | `setStripByteCounts(long[] counts)` Set 6.1.5.4 Strip byte counts.
`void` | `setStripOffsets(long[] offsets)` Set 6.1.5.2 Strip offsets.
`void` | `setSubjectDistance(double[] distance)` Set 7.7.3.5 Subject distance
`void` | `setTargetIDManufacturer(java.lang.String targetIDManufacturer)` Set 8.3.2.1 TargetIDManufacturer
`void` | `setTargetIDMedia(java.lang.String targetIDMedia)` Set 8.3.2.4 TargetIDMedia
`void` | `setTargetIDName(java.lang.String targetIDName)` Set 8.3.2.2 TargetIDName
`void` | `setTargetIDNo(java.lang.String targetIDNo)` Set 8.3.2.3 TargetIDNo
`void` | `setTargetType(int targetType)` Set 8.3.1 TargetType
`void` | `setTileByteCounts(long[] counts)` Set 6.1.5.8 Tile byte counts.
`void` | `setTileLength(long length)` Set 6.1.5.6 Tile length.
`void` | `setTileOffsets(long[] offsets)` Set 6.1.5.7 Tile offsets.
`void` | `setTileWidth(long width)` Set 6.1.5.5 Tile width.
`void` | `setViewerData(Property viewerData)` Set information for Swing GUI viewer.
`void` | `setWhitePointXValue(Rational x)` Set 8.2.7.1 white point X value.
`void` | `setWhitePointYValue(Rational y)` Set 8.2.7.2 white point Y value.
`void` | `setXPhysScanResolution(double x)` Set 7.6.3.2.1 X physical scanning resolution.
`void` | `setXPrintAspectRatio(double x)` Set 7.7.3.16.1 X print aspect ratio.
`void` | `setXSamplingFrequency(Rational x)` Set 8.1.3 X sampling frequency.
`void` | `setXTargetedDisplayAspectRatio(long x)` Set 6.2.6.1 X targeted display aspect ratio.
`void` | `setYCbCrCoefficients(Rational[] coefficients)` Set 6.1.4.5 YCbCr coefficients.
`void` | `setYCbCrPositioning(int positioning)` Set 6.1.4.4 YCbCr positioning.
`void` | `setYCbCrSubSampling(int[] sampling)` Set 6.1.4.3 YCbCr Sub-sampling.
`void` | `setYPhysScanResolution(double y)` Set 7.6.3.2.2 Y physical scanning resolution.
`void` | `setYPrintAspectRatio(double y)` Set 7.7.3.16.2 Y print aspect ratio.
`void` | `setYSamplingFrequency(Rational y)` Set 8.1.4 Y sampling frequency.
`void` | `setYTargetedDisplayAspectRatio(long y)` Set 6.2.6.2 Y targeted display aspect ratio.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTOFOCUS

    public static final java.lang.String[] AUTOFOCUS

  7.7.3.15 auto focus value labels.

### BACKLIGHT

    public static final java.lang.String[] BACKLIGHT

  7.7.3.13 back light value labels.

### BYTEORDER

    public static final java.lang.String[] BYTEORDER

  6.1.2 byte order value labels.

### CHECKSUM_METHOD

    public static final java.lang.String[] CHECKSUM_METHOD

  6.2.3.1 Checksum method value labels.

### COLORSPACE

    public static final java.lang.String[] COLORSPACE

  6.1.4.1 Color space value labels.

### COLORSPACE_INDEX

    public static final int[] COLORSPACE_INDEX

  Index for 6.1.4.1 color space value labels.

### COMPRESSION_SCHEME

    public static final java.lang.String[] COMPRESSION_SCHEME

  6.1.3.1 Compression scheme value labels.

### COMPRESSION_SCHEME_INDEX

    public static final int[] COMPRESSION_SCHEME_INDEX

  Index for 6.1.3.1 compression scheme value labels.

### DISPLAY_ORIENTATION

    public static final java.lang.String[] DISPLAY_ORIENTATION

  6.2.5 display orientation value labels.

### EXTRA_SAMPLES

    public static final java.lang.String[] EXTRA_SAMPLES

### FLASH

    public static final java.lang.String[] FLASH

  7.7.3.10 flash value labels.

### FLASH_RETURN

    public static final java.lang.String[] FLASH_RETURN

  7.7.3.12 flash return value labels.

### GRAY_RESPONSE_UNIT_02

    public static final java.lang.String[] GRAY_RESPONSE_UNIT_02

  8.2.6 gray response unit value labels for version 0.2.

### GRAY_RESPONSE_UNIT_20

    public static final java.lang.String[] GRAY_RESPONSE_UNIT_20

  Gray response unit value for version 2.0 of MIX, corresponding to NISO values of 1-5

### EXTRA_SAMPLE_20

    public static final java.lang.String[] EXTRA_SAMPLE_20

  extra sample value for version 2.0 of MIX, corresponding to NISO values of 0-3

### METERING_MODE

    public static final java.lang.String[] METERING_MODE

  7.7.3.6 metering mode value labels.

### ORIENTATION

    public static final java.lang.String[] ORIENTATION

  6.2.4 orientation value labels.

### PLANAR_CONFIGURATION

    public static final java.lang.String[] PLANAR_CONFIGURATION

  6.1.6 planar configuration value labels.

### SAMPLING_FREQUENCY_PLANE

    public static final java.lang.String[] SAMPLING_FREQUENCY_PLANE

  8.1.1 sampling frequency plane value labels.

### SAMPLING_FREQUENCY_UNIT

    public static final java.lang.String[] SAMPLING_FREQUENCY_UNIT

  8.1.2 sampling frequency unit value labels.

### SCENE_ILLUMINANT

    public static final java.lang.String[] SCENE_ILLUMINANT

  7.7.3.7 scene illuminant value labels.

### SCENE_ILLUMINANT_INDEX

    public static final int[] SCENE_ILLUMINANT_INDEX

  Index for 7.7.3.7 scene illuminant value labels.

### SEGMENT_TYPE

    public static final java.lang.String[] SEGMENT_TYPE

  6.1.5.1 segment type value labels.

### SENSOR

    public static final java.lang.String[] SENSOR

  7.8 sensor value labels.

### SOURCE_DIMENSION_UNIT

    public static final java.lang.String[] SOURCE_DIMENSION_UNIT

  8.1.7.1 (8.1.8.1) source dimension unit.

### YCBCR_POSITIONING

    public static final java.lang.String[] YCBCR_POSITIONING

  6.1.4.4 YCbCr positioning value labels.

### TARGET_TYPE

    public static final java.lang.String[] TARGET_TYPE

  8.3.1 TargetType.

### NULL

    public static final int NULL

  Undefined value.

  See Also:
    Constant Field Values

### NILL

    public static final double NILL

See Also:
  Constant Field Values

Constructor Detail

### NisoImageMetadata

    public NisoImageMetadata()

  Instantiate a `NisoImageMetadata` object.

Method Detail

### getAutoFocus

    public int getAutoFocus()

  Get 7.7.3.15 auto focus.

### getBackLight

    public int getBackLight()

  Get 7.7.3.13 back light.

### getBitsPerSample

    public int[] getBitsPerSample()

  Get 8.2.1 bits per sample.

### getBrightness

    public double getBrightness()

  Get 7.7.3.3 Brightness.

### getByteOrder

    public java.lang.String getByteOrder()

  Get 6.1.2 byte order.

### getChecksumMethod

    public int getChecksumMethod()

  Get 6.2.3.1 Checksum method.

### getChecksumValue

    public java.lang.String getChecksumValue()

  Get 6.2.3.2 Checksum value.

### getColormapBitCodeValue

    public int[] getColormapBitCodeValue()

  Get 8.2.4.2 colormap bit code value.

### getColormapBlueValue

    public int[] getColormapBlueValue()

  Get 8.2.4.5 colormap blue value.

### getColormapGreenValue

    public int[] getColormapGreenValue()

  Get 8.2.4.4 colormap green value.

### getColormapRedValue

    public int[] getColormapRedValue()

  Get 8.2.4.3 colormap red value.

### getColormapReference

    public java.lang.String getColormapReference()

  Get 8.2.4.1 colormap reference.

### getColorSpace

    public int getColorSpace()

  Get 6.1.4.1 color space.

### getColorTemp

    public double getColorTemp()

  Get 7.7.3.8 color temperature.

### getCompressionLevel

    public int getCompressionLevel()

  Get 6.1.3.2 compression level.

### getCompressionScheme

    public int getCompressionScheme()

  Get 6.1.3.1 compression scheme.

### getDateTimeCreated

    public java.lang.String getDateTimeCreated()

  Get 7.9 date/time created.

### getDateTimeProcessed

    public java.lang.String getDateTimeProcessed()

  Get 9.1.1 DateTimeProcessed

### getDeviceSource

    public java.lang.String getDeviceSource()

  Get 7.5 device source.

### getDigitalCameraManufacturer

    public java.lang.String getDigitalCameraManufacturer()

  Get 7.7.1 digital camera manufacturer.

### getDigitalCameraModel

    public java.lang.String getDigitalCameraModel()

  Get 7.7.2 digital camera model.

### getDisplayOrientation

    public int getDisplayOrientation()

  Get 6.2.5 Display orientation.

### getExposureBias

    public double getExposureBias()

  Get 7.7.3.4 exposure bias.

### getExposureIndex

    public double getExposureIndex()

  Get 7.7.3.14 exposure index.

### getExposureTime

    public double getExposureTime()

  Get 7.7.3.2 exposure time.

### getExtraSamples

    public int[] getExtraSamples()

  Get 8.2.3 extra samples.

### getFileSize

    public long getFileSize()

  Get 6.2.2 file size.

### getFlash

    public int getFlash()

  Get 7.7.3.10 flash.

### getFlashEnergy

    public double getFlashEnergy()

  Get 7.7.3.11 flash energy.

### getFlashReturn

    public int getFlashReturn()

  Get 7.7.3.12 flash return.

### getFNumber

    public double getFNumber()

  Get 7.7.3.1 F number.

### getFocalLength

    public double getFocalLength()

  Get 7.7.3.9 focal length.

### getGrayResponseCurve

    public int[] getGrayResponseCurve()

  Get 8.2.5 gray response curve.

### getGrayResponseUnit

    public int getGrayResponseUnit()

  Get 8.2.6 gray response unit.

### getHostComputer

    public java.lang.String getHostComputer()

  Get 7.4 host computer.

### getImageData

    public java.lang.String getImageData()

  Get 8.3.3 ImageData

### getImageIdentifier

    public java.lang.String getImageIdentifier()

  Get 6.2.1 Image identifier.

### getImageIdentifierLocation

    public java.lang.String getImageIdentifierLocation()

  Get 6.2.1.1 Image identifier location.

### getImageLength

    public long getImageLength()

  Get 8.1.6 image length.

### getImageProducer

    public java.lang.String getImageProducer()

  Get 7.3 Image producer.

### getImageWidth

    public long getImageWidth()

  Get 8.1.5 image width.

### getMeteringMode

    public int getMeteringMode()

  Get 7.7.3.6 metering mode.

### getMethodology

    public java.lang.String getMethodology()

  Get 7.10 methodology.

### getMimeType

    public java.lang.String getMimeType()

  Get 6.1.1 MIME type.

### getOrientation

    public int getOrientation()

  Get 6.2.4 Orientation.

### getOS

    public java.lang.String getOS()

  Get 7.4.1 OS (operating system).

### getOSVersion

    public java.lang.String getOSVersion()

  Get 7.4.2 OS version.

### getPerformanceData

    public java.lang.String getPerformanceData()

  Get 8.3.4 PerformanceData.

### getPixelSize

    public double getPixelSize()

  Get 7.6.3.1 pixel size.

### getPlanarConfiguration

    public int getPlanarConfiguration()

  Get 6.1.6 Planar configuration.

### getPreferredPresentation

    public java.lang.String getPreferredPresentation()

  Get 6.3 preferred presentation.

### getPrimaryChromaticitiesBlueX

    public Rational getPrimaryChromaticitiesBlueX()

  Get 8.2.8.5 primary chromaticities blue X.

### getPrimaryChromaticitiesBlueY

    public Rational getPrimaryChromaticitiesBlueY()

  Get 8.2.8.6 primary chromaticities blue Y.

### getPrimaryChromaticitiesGreenX

    public Rational getPrimaryChromaticitiesGreenX()

  Get 8.2.8.3 primary chromaticities green X.

### getPrimaryChromaticitiesGreenY

    public Rational getPrimaryChromaticitiesGreenY()

  Get 8.2.8.4 primary chromaticities green Y.

### getPrimaryChromaticitiesRedX

    public Rational getPrimaryChromaticitiesRedX()

  Get 8.2.8.1 primary chromaticities red X.

### getPrimaryChromaticitiesRedY

    public Rational getPrimaryChromaticitiesRedY()

  Get 8.2.8.2 primary chromaticities red Y.

### getProcessingActions

    public java.lang.String[] getProcessingActions()

  Get 9.1.5 ProcessingActions.

### getProcessingAgency

    public java.lang.String getProcessingAgency()

  Get 9.1.3 ProcessingAgency.

### getProcessingSoftwareName

    public java.lang.String getProcessingSoftwareName()

  Get 9.1.4.1 ProcessingSoftwareName

### getProcessingSoftwareVersion

    public java.lang.String getProcessingSoftwareVersion()

  Get 9.1.4.2 ProcessingSoftwareVersion

### getProfileName

    public java.lang.String getProfileName()

  Get 6.1.4.2.1 ICC profile name.

### getProfiles

    public java.lang.String getProfiles()

  Get 8.3.5 Profiles

### getProfileURL

    public java.lang.String getProfileURL()

  Get 6.1.4.2.2 ICC profile URL.

### getReferenceBlackWhite

    public Rational[] getReferenceBlackWhite()

  Get 6.1.4.6 Reference black and white.

### getRowsPerStrip

    public long getRowsPerStrip()

  Get 6.1.5.3 Rows per strip.

### getSamplesPerPixel

    public int getSamplesPerPixel()

  Get 8.2.2 samples per pixel.

### getSamplingFrequencyPlane

    public int getSamplingFrequencyPlane()

  Get 8.1.1 sampling frequency plane.

### getSamplingFrequencyUnit

    public int getSamplingFrequencyUnit()

  Get 8.1.2 sampling frequency unit.

### getScannerManufacturer

    public java.lang.String getScannerManufacturer()

  Get 7.6.1.1 scanner manufacturer.

### getScannerModelName

    public java.lang.String getScannerModelName()

  Get 7.6.1.2.1 scanner model name.

### getScannerModelNumber

    public java.lang.String getScannerModelNumber()

  Get 7.6.1.2.2 scanner model number.

### getScannerModelSerialNo

    public java.lang.String getScannerModelSerialNo()

  Get 7.6.1.2.3 scanner model serial number.

### getScanningSoftware

    public java.lang.String getScanningSoftware()

  Get 7.6.2.1 scanning software.

### getScanningSoftwareVersionNo

    public java.lang.String getScanningSoftwareVersionNo()

  Get 7.6.2.2 scanning software version number.

### getSceneIlluminant

    public int getSceneIlluminant()

  Get 7.7.3.7 scene illuminant.

### getSegmentType

    public int getSegmentType()

  Get 6.1.5.1 segment type.

### getSensor

    public int getSensor()

  Get 7.8 sensor.

### getSourceData

    public java.lang.String getSourceData()

  Get 9.1.2 SourceData.

### getSourceID

    public java.lang.String getSourceID()

  Get 7.2 source ID.

### getSourceType

    public java.lang.String getSourceType()

  Get 7.1 Source type.

### getSourceXDimension

    public double getSourceXDimension()

### getSourceXDimensionUnit

    public int getSourceXDimensionUnit()

### getSourceYDimension

    public double getSourceYDimension()

### getSourceYDimensionUnit

    public int getSourceYDimensionUnit()

### getStripByteCounts

    public long[] getStripByteCounts()

  Get 6.1.5.4 Strip byte counts.

### getStripOffsets

    public long[] getStripOffsets()

  Get 6.1.5.2 Strip offsets.

### getSubjectDistance

    public double[] getSubjectDistance()

  Get 7.7.3.5 Subject distance.

### getTargetIDManufacturer

    public java.lang.String getTargetIDManufacturer()

  Get 8.3.2.1 TargetIDManufacturer

### getTargetIDMedia

    public java.lang.String getTargetIDMedia()

  Get 8.3.2.3 TargetIDMedia

### getTargetIDName

    public java.lang.String getTargetIDName()

  Get 8.3.2.2 TargetIDName

### getTargetIDNo

    public java.lang.String getTargetIDNo()

  Get 8.3.2.3 TargetIDNo

### getTargetType

    public int getTargetType()

  Get 8.3.1 Target Type

### getTileByteCounts

    public long[] getTileByteCounts()

  Get 6.1.5.8 Tile byte counts.

### getTileLength

    public long getTileLength()

  Get 6.1.5.6 Tile length.

### getTileOffsets

    public long[] getTileOffsets()

  Get 6.1.5.7 Tile offsets.

### getTileWidth

    public long getTileWidth()

  Get 6.1.5.5 Tile width.

### getWhitePointXValue

    public Rational getWhitePointXValue()

  Get 8.2.7.1 white point X value.

### getWhitePointYValue

    public Rational getWhitePointYValue()

  Get 8.2.7.2 white point Y value.

### getXPrintAspectRatio

    public double getXPrintAspectRatio()

  Get 7.7.3.16.1 X print aspect ratio.

### getXPhysScanResolution

    public double getXPhysScanResolution()

  Get 7.6.3.2.1 X physcal scanning resolution.

### getXSamplingFrequency

    public Rational getXSamplingFrequency()

  Get 8.1.3 X sampling frequency.

### getXTargetedDisplayAR

    public long getXTargetedDisplayAR()

  Get 6.2.6 X targeted display aspect ratio.

### getYCbCrCoefficients

    public Rational[] getYCbCrCoefficients()

  Get 6.1.4.5 YCbCr coefficients.

### getYCbCrPositioning

    public int getYCbCrPositioning()

  Get 6.1.4.4 YCbCr positioning.

### getYCbCrSubSampling

    public int[] getYCbCrSubSampling()

  Get 6.1.4.3 YCbCr subsampling.

### getYPhysScanResolution

    public double getYPhysScanResolution()

  Get 7.6.3.2.2 Y physcal scanning resolution.

### getYPrintAspectRatio

    public double getYPrintAspectRatio()

  Get 7.7.3.16.2 Y print aspect ratio.

### getYSamplingFrequency

    public Rational getYSamplingFrequency()

  Get 8.1.4 Y sampling frequency.

### getYTargetedDisplayAR

    public long getYTargetedDisplayAR()

  Get 6.2.7 Y targeted display aspect ratio.

### getViewerData

    public Property getViewerData()

  Get data for Swing GUI viewer.

### setAutoFocus

    public void setAutoFocus(int focus)

  Set 7.7.3.15 auto focus.

  Parameters:
    `focus` - Auto focus

### setBackLight

    public void setBackLight(int light)

  Set 7.7.3.13 back light.

  Parameters:
    `light` - Back light

### setBitsPerSample

    public void setBitsPerSample(int[] bits)

  Set 8.2.1 bits per sample.

  Parameters:
    `bits` - Bits per sample

### setBrightness

    public void setBrightness(double brightness)

  Set 7.7.3.3 brightness.

  Parameters:
    `brightness` - Brightness

### setByteOrder

    public void setByteOrder(java.lang.String order)

  Set 6.1.2 byte order.

  Parameters:
    `order` - Byte order

### setColormapBitCodeValue

    public void setColormapBitCodeValue(int[] value)

  Set 8.2.4.2 colormap bit code value.

  Parameters:
    `value` - Bit code value

### setColormapBlueValue

    public void setColormapBlueValue(int[] value)

  Set 8.2.4.4 colormap blue value.

  Parameters:
    `value` - Blue value

### setColormapGreenValue

    public void setColormapGreenValue(int[] value)

  Set 8.2.4.3 colormap green value.

  Parameters:
    `value` - Green value

### setColormapRedValue

    public void setColormapRedValue(int[] value)

  Set 8.2.4.2 colormap red value.

  Parameters:
    `value` - Red value

### setColormapReference

    public void setColormapReference(java.lang.String reference)

  Set 8.2.4.1 colormap reference.

  Parameters:
    `reference` - Colormap reference

### setColorSpace

    public void setColorSpace(int space)

  Set 6.1.4.1 color space

  Parameters:
    `space` - Color space

### setColorTemp

    public void setColorTemp(double temp)

  Set 7.7.3.8 color temperature.

  Parameters:
    `temp` - Color temperature

### setCompressionLevel

    public void setCompressionLevel(int level)

  Set 6.1.3.2 compression level.

  Parameters:
    `level` - Compression level

### setCompressionScheme

    public void setCompressionScheme(int scheme)

  Set 6.1.3.1 compression scheme.

  Parameters:
    `scheme` - Compression scheme

### setDateTimeCreated

    public void setDateTimeCreated(java.lang.String date)

  Set 7.9 date/time created. TIFF dates get converted to ISO 8601 format.

  Parameters:
    `date` - Date/time created

### setDateTimeProcessed

    public void setDateTimeProcessed(java.lang.String date)

  Set 9.1.1 DateTimeProcessed. TIFF dates get converted to ISO 8601 format.

  Parameters:
    `date` - Date/time processed

### setDeviceSource

    public void setDeviceSource(java.lang.String source)

  Set 7.5 Device source.

  Parameters:
    `source` - Device source

### setDigitalCameraManufacturer

    public void setDigitalCameraManufacturer(java.lang.String manufacturer)

  Set 7.7.1 digital camera manufacturer.

  Parameters:
    `manufacturer` - Camera manufacturer

### setDigitalCameraModel

    public void setDigitalCameraModel(java.lang.String model)

  Set 7.7.2 digital camera model.

  Parameters:
    `model` - Camera model

### setDisplayOrientation

    public void setDisplayOrientation(int orientation)

  Set 6.2.5 display orientation.

  Parameters:
    `orientation` - Display orientation

### setExposureBias

    public void setExposureBias(double bias)

  Set 7.2.3.4 exposure bias.

  Parameters:
    `bias` - Exposure bias

### setExposureIndex

    public void setExposureIndex(double index)

  Set 7.2.3.14 exposure index.

  Parameters:
    `index` - Exposure index

### setExposureTime

    public void setExposureTime(double time)

  Set 7.7.3.2 exposure time.

  Parameters:
    `time` - Exposure time

### setExtraSamples

    public void setExtraSamples(int[] extra)

  Set 8.2.3 extra samples.

  Parameters:
    `extra` - Extra samples

### setFileSize

    public void setFileSize(long size)

  Set 6.2.2 file size.

  Parameters:
    `size` - File size

### setFNumber

    public void setFNumber(double f)

  Set 7.7.3.1 F number.

  Parameters:
    `f` - F number

### setFlashEnergy

    public void setFlashEnergy(double energy)

  Set 7.7.3.11 flash energy.

  Parameters:
    `energy` - Flash energy

### setFlashReturn

    public void setFlashReturn(int ret)

  Set 7.7.3.12 flash return.

  Parameters:
    `ret` - Flash return

### setFlash

    public void setFlash(int flash)

  Set 7.7.3.10 flash.

  Parameters:
    `flash` - Flash

### setFocalLength

    public void setFocalLength(double length)

  Set 7.7.3.9 focal length (double meters).

  Parameters:
    `length` - Focal length

### setGrayResponseCurve

    public void setGrayResponseCurve(int[] curve)

  Set 8.2.5 gray response curve.

  Parameters:
    `curve` - Gray response curve

### setGrayResponseUnit

    public void setGrayResponseUnit(int unit)

  Set 8.2.6 gray response unit.

  Parameters:
    `unit` - Gray response unit

### setHostComputer

    public void setHostComputer(java.lang.String computer)

  Set 7.4 host computer.

  Parameters:
    `computer` - Host computer

### setImageData

    public void setImageData(java.lang.String imageData)

  Set 8.3.3 ImageData.

  Parameters:
    `imageData` - Image Data filename or URN

### setImageIdentifier

    public void setImageIdentifier(java.lang.String identifier)

  Set 6.2.1 Image identifier.

  Parameters:
    `identifier` - Image identifier

### setImageIdentifierLocation

    public void setImageIdentifierLocation(java.lang.String location)

  Set 6.2.1 Image identifier location.

  Parameters:
    `location` - identifier location

### setImageLength

    public void setImageLength(long length)

  Set 8.1.6 image length.

  Parameters:
    `length` - Image length

### setImageProducer

    public void setImageProducer(java.lang.String producer)

  Set 7.3 image producer.

  Parameters:
    `producer` - Image producer

### setImageWidth

    public void setImageWidth(long width)

  Set 8.1.5 image width.

  Parameters:
    `width` - Image width

### setMeteringMode

    public void setMeteringMode(int mode)

  Set 7.7.3.6 metering mode.

  Parameters:
    `mode` - Metering mode

### setMethodology

    public void setMethodology(java.lang.String methodology)

  Set 7.10 methodology.

  Parameters:
    `methodology` - Methodology

### setMimeType

    public void setMimeType(java.lang.String type)

  Set 6.1.1 MIME type.

  Parameters:
    `type` - MIME type

### setOrientation

    public void setOrientation(int orientation)

  Set 6.2.4 orientation.

  Parameters:
    `orientation` - Orientation

### setOS

    public void setOS(java.lang.String os)

### setOSVersion

    public void setOSVersion(java.lang.String version)

  Set 7.4.2 OS version.

  Parameters:
    `version` - OS version

### setPerformanceData

    public void setPerformanceData(java.lang.String performanceData)

  Set 8.3.4 PerformanceData.

  Parameters:
    `performanceData` - Performance data filename or URN

### setPixelSize

    public void setPixelSize(double size)

  Set 7.6.3.1 pixel size.

  Parameters:
    `size` - Pixel size

### setPlanarConfiguration

    public void setPlanarConfiguration(int configuration)

  Set 6.1.6 Planar configuration.

  Parameters:
    `configuration` - Planar configuration

### setPreferredPresentation

    public void setPreferredPresentation(java.lang.String presentation)

  Set 6.3 preferred presentation.

  Parameters:
    `presentation` - Preferred presentation

### setPrimaryChromaticitiesBlueX

    public void setPrimaryChromaticitiesBlueX(Rational x)

  Set 8.2.8.5 primary chromaticities blue X.

  Parameters:
    `x` - Blue x

### setPrimaryChromaticitiesBlueY

    public void setPrimaryChromaticitiesBlueY(Rational y)

  Set 8.2.8.6 primary chromaticities blue Y.

  Parameters:
    `y` - Blue y

### setPrimaryChromaticitiesGreenX

    public void setPrimaryChromaticitiesGreenX(Rational x)

  Set 8.2.8.3 primary chromaticities green X.

  Parameters:
    `x` - Green x

### setPrimaryChromaticitiesGreenY

    public void setPrimaryChromaticitiesGreenY(Rational y)

  Set 8.2.8.4 primary chromaticities green Y.

  Parameters:
    `y` - Green y

### setPrimaryChromaticitiesRedX

    public void setPrimaryChromaticitiesRedX(Rational x)

  Set 8.2.8.1 primary chromaticities red X.

  Parameters:
    `x` - Red x

### setPrimaryChromaticitiesRedY

    public void setPrimaryChromaticitiesRedY(Rational y)

  Set 8.2.8.2 primary chromaticities red Y.

  Parameters:
    `y` - Red y

### setProcessingActions

    public void setProcessingActions(java.lang.String[] actions)

  Set 9.1.5 ProcessingActions.

  Parameters:
    `actions` - Array of strings giving image processing steps

### setProcessingAgency

    public void setProcessingAgency(java.lang.String processingAgency)

  Set 9.1.3 ProcessingAgency.

  Parameters:
    `processingAgency` - Identifier of producing organization

### setProcessingSoftwareName

    public void setProcessingSoftwareName(java.lang.String name)

  Set 9.1.4.1 ProcessingSoftwareName

  Parameters:
    `name` - Name of the image processing software

### setProcessingSoftwareVersion

    public void setProcessingSoftwareVersion(java.lang.String version)

  Set 9.1.4.2 ProcessingSoftwareVersion

  Parameters:
    `version` - Version number of the processing software

### setProfileName

    public void setProfileName(java.lang.String name)

  Set 6.1.4.1 ICC profile name.

  Parameters:
    `name` - Profile name

### setProfiles

    public void setProfiles(java.lang.String profiles)

  Set 8.3.5 Profiles.

  Parameters:
    `profiles` - Color profile filename or URN

### setProfileURL

    public void setProfileURL(java.lang.String URL)

  Set 6.1.4.2 ICC profile URL.

  Parameters:
    `URL` - Profile URL

### setReferenceBlackWhite

    public void setReferenceBlackWhite(Rational[] reference)

  Set 6.1.4.6 reference black and white.

  Parameters:
    `reference` - Reference

### setRowsPerStrip

    public void setRowsPerStrip(long rows)

  Set 6.1.5.3 Rows per strip.

  Parameters:
    `rows` - Rows per strip

### setSamplingFrequencyPlane

    public void setSamplingFrequencyPlane(int plane)

  Set 8.1.1 sampling frequency plane.

  Parameters:
    `plane` - Sampling frequency plane

### setSamplesPerPixel

    public void setSamplesPerPixel(int samples)

  Set 8.2.2 samples per pixel.

  Parameters:
    `samples` - Samples per pixel

### setSamplingFrequencyUnit

    public void setSamplingFrequencyUnit(int unit)

  Set 8.1.2 sampling frequency unit.

  Parameters:
    `unit` - Sampling frequency unit

### setScannerManufacturer

    public void setScannerManufacturer(java.lang.String manufacturer)

  Set 7.6.1.1 scanner manufacturer.

  Parameters:
    `manufacturer` - Scanner manufacturer

### setScannerModelName

    public void setScannerModelName(java.lang.String name)

  Set 7.6.1.2.1 scanner model name.

  Parameters:
    `name` - Scanner model name

### setScannerModelNumber

    public void setScannerModelNumber(java.lang.String number)

  Set 7.6.1.2.2 scanner model number.

  Parameters:
    `number` - Scanner model number

### setScannerModelSerialNo

    public void setScannerModelSerialNo(java.lang.String number)

  Set 7.6.1.2.3 scanner model serial number.

  Parameters:
    `number` - Scanner model serial number

### setScanningSoftware

    public void setScanningSoftware(java.lang.String software)

  Set 7.6.2.1 scanning software.

  Parameters:
    `software` - Scanning software

### setScanningSoftwareVersionNo

    public void setScanningSoftwareVersionNo(java.lang.String number)

  Set 7.6.2.2 scanning software version number.

  Parameters:
    `number` - Scanning software version number

### setSceneIlluminant

    public void setSceneIlluminant(int illuminant)

  Set 7.7.3.7 scene illuminant.

  Parameters:
    `illuminant` - Scene illuminant

### setSensor

    public void setSensor(int sensor)

  Set 7.8 sensor.

  Parameters:
    `sensor` - Sensor

### setSourceData

    public void setSourceData(java.lang.String sourceData)

  Set 9.1.2 SourceData.

  Parameters:
    `sourceData` - Source data identifier

### setSourceID

    public void setSourceID(java.lang.String id)

  Set 7.2 source ID.

  Parameters:
    `id` - Source ID

### setSourceType

    public void setSourceType(java.lang.String type)

  Set 7.1 source type.

  Parameters:
    `type` - Source type

### setSourceXDimension

    public void setSourceXDimension(double x)

  Set 8.1.7 source X dimension.

  Parameters:
    `x` - X dimension

### setSourceXDimensionUnit

    public void setSourceXDimensionUnit(int unit)

  Set 8.1.7.1 source X dimension unit.

  Parameters:
    `unit` - X dimension unit

### setSourceYDimension

    public void setSourceYDimension(double y)

  Set 8.1.8 source Y dimension.

  Parameters:
    `y` - Y dimension

### setSourceYDimensionUnit

    public void setSourceYDimensionUnit(int unit)

  Set 8.1.8.1 source Y dimension unit.

  Parameters:
    `unit` - Y dimension unit

### setStripByteCounts

    public void setStripByteCounts(long[] counts)

  Set 6.1.5.4 Strip byte counts.

  Parameters:
    `counts` - Byte counts

### setStripOffsets

    public void setStripOffsets(long[] offsets)

  Set 6.1.5.2 Strip offsets.

  Parameters:
    `offsets` - Strip offsets

### setSubjectDistance

    public void setSubjectDistance(double[] distance)

  Set 7.7.3.5 Subject distance

  Parameters:
    `distance` - Subject distance

### setTargetIDManufacturer

    public void setTargetIDManufacturer(java.lang.String targetIDManufacturer)

  Set 8.3.2.1 TargetIDManufacturer

### setTargetIDMedia

    public void setTargetIDMedia(java.lang.String targetIDMedia)

  Set 8.3.2.4 TargetIDMedia

### setTargetIDName

    public void setTargetIDName(java.lang.String targetIDName)

  Set 8.3.2.2 TargetIDName

### setTargetIDNo

    public void setTargetIDNo(java.lang.String targetIDNo)

  Set 8.3.2.3 TargetIDNo

### setTargetType

    public void setTargetType(int targetType)

  Set 8.3.1 TargetType

### setTileByteCounts

    public void setTileByteCounts(long[] counts)

  Set 6.1.5.8 Tile byte counts.

  Parameters:
    `counts` - Byte counts

### setTileLength

    public void setTileLength(long length)

  Set 6.1.5.6 Tile length.

  Parameters:
    `length` - Tile length

### setTileOffsets

    public void setTileOffsets(long[] offsets)

  Set 6.1.5.7 Tile offsets.

  Parameters:
    `offsets` - tile offsets

### setTileWidth

    public void setTileWidth(long width)

  Set 6.1.5.5 Tile width.

  Parameters:
    `width` - Tile width

### setWhitePointXValue

    public void setWhitePointXValue(Rational x)

  Set 8.2.7.1 white point X value.

  Parameters:
    `x` - White point X

### setWhitePointYValue

    public void setWhitePointYValue(Rational y)

  Set 8.2.7.2 white point Y value.

  Parameters:
    `y` - White point Y

### setXPhysScanResolution

    public void setXPhysScanResolution(double x)

  Set 7.6.3.2.1 X physical scanning resolution.

  Parameters:
    `x` - X physical scanning resolution

### setXPrintAspectRatio

    public void setXPrintAspectRatio(double x)

  Set 7.7.3.16.1 X print aspect ratio.

  Parameters:
    `x` - X aspect ratio

### setXSamplingFrequency

    public void setXSamplingFrequency(Rational x)

  Set 8.1.3 X sampling frequency.

  Parameters:
    `x` - X sampling frequency

### setXTargetedDisplayAspectRatio

    public void setXTargetedDisplayAspectRatio(long x)

  Set 6.2.6.1 X targeted display aspect ratio.

  Parameters:
    `x` - X units

### setYCbCrCoefficients

    public void setYCbCrCoefficients(Rational[] coefficients)

  Set 6.1.4.5 YCbCr coefficients.

  Parameters:
    `coefficients` - Coefficients

### setYCbCrPositioning

    public void setYCbCrPositioning(int positioning)

  Set 6.1.4.4 YCbCr positioning.

  Parameters:
    `positioning` - Positioning

### setYCbCrSubSampling

    public void setYCbCrSubSampling(int[] sampling)

  Set 6.1.4.3 YCbCr Sub-sampling.

  Parameters:
    `sampling` - Sub-sampling

### setYPhysScanResolution

    public void setYPhysScanResolution(double y)

  Set 7.6.3.2.2 Y physical scanning resolution.

  Parameters:
    `y` - Y physical scanning resolution

### setYPrintAspectRatio

    public void setYPrintAspectRatio(double y)

  Set 7.7.3.16.2 Y print aspect ratio.

  Parameters:
    `y` - Y aspect ratio

### setYSamplingFrequency

    public void setYSamplingFrequency(Rational y)

  Set 8.1.4 Y sampling frequency.

  Parameters:
    `y` - Y sampling frequency

### setYTargetedDisplayAspectRatio

    public void setYTargetedDisplayAspectRatio(long y)

  Set 6.2.6.2 Y targeted display aspect ratio.

  Parameters:
    `y` - Y units

### setViewerData

    public void setViewerData(Property viewerData)

  Set information for Swing GUI viewer.

  Parameters:
    `viewerData` - Private data for RepTreeModel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD